// This exists because lume doesn't actually add the <!DOCTYPE> header when rendering.
export const layout = "layouts/doctype.njk";

import type { PageData } from "lume/core.ts";
import Navbar from "../components/navbar.tsx";

export default ({ title, children }: PageData) => (
  <html lang="en">
    <head>
      <meta charSet="utf-8" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <title>{title}</title>
      <link rel="shortcut icon" href="img/favicon.png" />
      <link rel="stylesheet" href="/styles/style.css" />
    </head>
    <body>
      <main class="container">
        {children}
      </main>
    </body>
  </html>
);
